EC2NPoint Struct Reference

Elliptical Curve Point over GF(2^n) More...

`#include <ecpoint.h>`

## Public Member Functions

| EC2NPoint ()
| Construct an EC2NPoint.
| EC2NPoint (const PolynomialMod2 &x, const PolynomialMod2 &y)
| Construct an EC2NPoint from coordinates.
bool | operator== (const EC2NPoint &t) const
| Tests points for equality.
bool | operator< (const EC2NPoint &t) const
| Tests points for ordering.

## Public Attributes

PolynomialMod2 | x
PolynomialMod2 | y
bool | identity

## Detailed Description

Elliptical Curve Point over GF(2^n)

Since
  Crypto++ 2.0

Definition at line 53 of file ecpoint.h.

## Constructor & Destructor Documentation

## ~EC2NPoint()

virtual EC2NPoint::~EC2NPoint | ( |  | ) |

inline virtual

Definition at line 55 of file ecpoint.h.

## EC2NPoint() [1/2]

EC2NPoint::EC2NPoint | ( |  | ) |

inline

Construct an EC2NPoint.

identity is set to `true`

Definition at line 59 of file ecpoint.h.

## EC2NPoint() [2/2]

EC2NPoint::EC2NPoint | ( | const PolynomialMod2 & | x,
|  | const PolynomialMod2 & | y
| ) |  |

inline

Construct an EC2NPoint from coordinates.

identity is set to `false`

Definition at line 63 of file ecpoint.h.

## Member Function Documentation

## operator==()

bool EC2NPoint::operator== | ( | const EC2NPoint & | t | ) | const

inline

Tests points for equality.

Parameters

  t | the other point

Returns
  true if the points are equal, false otherwise

Definition at line 69 of file ecpoint.h.

## operator<()

bool EC2NPoint::operator< | ( | const EC2NPoint & | t | ) | const

inline

Tests points for ordering.

Parameters

  t | the other point

Returns
  true if this point is less than other, false otherwise

Definition at line 75 of file ecpoint.h.

## Member Data Documentation

## x

PolynomialMod2 EC2NPoint::x

Definition at line 78 of file ecpoint.h.

## y

PolynomialMod2 EC2NPoint::y

Definition at line 78 of file ecpoint.h.

## identity

bool EC2NPoint::identity

Definition at line 79 of file ecpoint.h.

The documentation for this struct was generated from the following file:

- ecpoint.h